
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/main}">
<div layout:fragment="content">
    <!-- Main Content -->
    <div id="content">


        <div class="wrapper wrapper-content animated fadeInRight">

            <form class="user" action="#" th:action="@{/question/send}" th:object="${questionAnswerResponse}" method="post">

                <div class="row">
                    <div class="col-lg-4 m-b-10" th:each="question, questionStat : *{questions}" >
                        <input hidden th:field="*{questions[__${questionStat.index}__].id}"/>
                        <div class="contact-box">
                            <div class="row">
                                <div class="col-4">
                                    <div class="text-center question_round">
                                        <span th:text="${question.round}"></span>
                                    </div>
                                </div>
                                <div class="col-8">
                                    <input type="checkbox" th:field="*{questions[__${questionStat.index}__].isSet}" th:value="${question.id}" />
                                    <h3 class="text-uppercase"><strong th:text="${question.name}"></strong></h3>
                                    <p ><i class="fa fa-calendar"></i> <span th:text="${question.createdDate}"></span></p>
                                    <address>
                                        There are many variations of passages of Lorem Ipsum available,
                                    </address>

                                </div>
                            </div>


                        </div>
                    </div>
                </div>
                <div class="contact-box-footer contact-box-footer_new">
                    <div class="m-t-xs btn-group">
                        <button type="submit" class="btn btn-success btn-sm">Send</button>
                    </div>
                </div>
            </form>
        </div>

        <!--end-->

        <!-- Begin Page Content -->
        <!--<div class="container-fluid">
            <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold text-primary">Question & Answers</h6>
            </div>


            <form class="user" action="#" th:action="@{/question/send}" th:object="${questionAnswerResponse}" method="post">

                <div class="col-lg-6">

                    <div th:each="question, questionStat : *{questions}">
                        <div>
                            <input hidden th:field="*{questions[__${questionStat.index}__].id}"/>
                        </div>
                        <div class="form-group row">
                            <input type="checkbox" th:field="*{questions[__${questionStat.index}__].isSet}" th:value="${question.id}" />
                            <label th:text="${question.name}"></label>
                        </div>

                        <div th:each="answer, rowAnswer : ${question.answers}">
                            <input hidden th:field="*{questions[__${questionStat.index}__].answers[__${rowAnswer.index}__].id}"/>
                            <input type="checkbox" th:field="*{questions[__${questionStat.index}__].answers[__${rowAnswer.index}__].id}" th:value="${answer.id}" />
                            <label th:text="${answer.name}"></label>
                        </div>
                    </div>

                    <hr>
                    <div class="box-footer">
                        <button type="submit" class="btn btn-success btn-sm">Send</button>
                        <button type="reset" class="btn btn-primary btn-sm">Reset</button>
                    </div>

                </div>
            </form>
        </div>-->
        <!-- /.container-fluid -->

    </div>

</div>
</html>